Package org.eclipse.m2m.atl.emftvm

# Interface EmftvmFactory

All Superinterfaces:
  `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `EmftvmFactoryImpl`

public interface EmftvmFactory extends org.eclipse.emf.ecore.EFactory
The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  - `EmftvmPackage`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EmftvmFactory`
`eINSTANCE`
The singleton instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`Add`
`createAdd()`
Returns a new object of class 'Add'.
`Allinst`
`createAllinst()`
Returns a new object of class 'Allinst'.
`AllinstIn`
`createAllinstIn()`
Returns a new object of class 'Allinst In'.
`And`
`createAnd()`
Returns a new object of class 'And'.
`CodeBlock`
`createCodeBlock()`
Returns a new object of class 'Code Block'.
`Delete`
`createDelete()`
Returns a new object of class 'Delete'.
`Dup`
`createDup()`
Returns a new object of class 'Dup'.
`DupX1`
`createDupX1()`
Returns a new object of class 'Dup X1'.
`Enditerate`
`createEnditerate()`
Returns a new object of class 'Enditerate'.
`ExecEnv`
`createExecEnv()`
Returns a new object of class 'Exec Env'.
`Field`
`createField()`
Returns a new object of class 'Field'.
`Findtype`
`createFindtype()`
Returns a new object of class 'Findtype'.
`FindtypeS`
`createFindtypeS()`
Returns a new object of class 'Findtype S'.
`Get`
`createGet()`
Returns a new object of class 'Get'.
`Getcb`
`createGetcb()`
Returns a new object of class 'Getcb'.
`Getenv`
`createGetenv()`
Returns a new object of class 'Getenv'.
`Getenvtype`
`createGetenvtype()`
Returns a new object of class 'Getenvtype'.
`GetStatic`
`createGetStatic()`
Returns a new object of class 'Get Static'.
`GetSuper`
`createGetSuper()`
Returns a new object of class 'Get Super'.
`GetTrans`
`createGetTrans()`
Returns a new object of class 'Get Trans'.
`Goto`
`createGoto()`
Returns a new object of class 'Goto'.
`If`
`createIf()`
Returns a new object of class 'If'.
`Ifn`
`createIfn()`
Returns a new object of class 'Ifn'.
`Ifte`
`createIfte()`
Returns a new object of class 'Ifte'.
`Implies`
`createImplies()`
Returns a new object of class 'Implies'.
`InputRuleElement`
`createInputRuleElement()`
Returns a new object of class 'Input Rule Element'.
`Insert`
`createInsert()`
Returns a new object of class 'Insert'.
`Instruction`
`createInstruction(Opcode opcode)`
Creates a new `Instruction` instance for the given
`Invoke`
`createInvoke()`
Returns a new object of class 'Invoke'.
`InvokeAllCbs`
`createInvokeAllCbs()`
Returns a new object of class 'Invoke All Cbs'.
`InvokeCb`
`createInvokeCb()`
Returns a new object of class 'Invoke Cb'.
`InvokeCbS`
`createInvokeCbS()`
Returns a new object of class 'Invoke Cb S'.
`InvokeStatic`
`createInvokeStatic()`
Returns a new object of class 'Invoke Static'.
`InvokeSuper`
`createInvokeSuper()`
Returns a new object of class 'Invoke Super'.
`Isnull`
`createIsnull()`
Returns a new object of class 'Isnull'.
`Iterate`
`createIterate()`
Returns a new object of class 'Iterate'.
`LineNumber`
`createLineNumber()`
Returns a new object of class 'Line Number'.
`Load`
`createLoad()`
Returns a new object of class 'Load'.
`LocalVariable`
`createLocalVariable()`
Returns a new object of class 'Local Variable'.
`Match`
`createMatch()`
Returns a new object of class 'Match'.
`MatchS`
`createMatchS()`
Returns a new object of class 'Match S'.
`Metamodel`
`createMetamodel()`
Returns a new object of class 'Metamodel'.
`Metamodel`
`createMetamodel(org.eclipse.emf.ecore.resource.Resource resource)`
Creates a new `Metamodel` for the given `Resource`, and sets the `Resource`.
`Model`
`createModel()`
Returns a new object of class 'Model'.
`Model`
`createModel(org.eclipse.emf.ecore.resource.Resource resource)`
Creates a new `Model` for the given `Resource`, and sets the `Resource`.
`ModelDeclaration`
`createModelDeclaration()`
Returns a new object of class 'Model Declaration'.
`Module`
`createModule()`
Returns a new object of class 'Module'.
`New`
`createNew()`
Returns a new object of class 'New'.
`NewS`
`createNewS()`
Returns a new object of class 'New S'.
`Not`
`createNot()`
Returns a new object of class 'Not'.
`Operation`
`createOperation()`
Returns a new object of class 'Operation'.
`Or`
`createOr()`
Returns a new object of class 'Or'.
`OutputRuleElement`
`createOutputRuleElement()`
Returns a new object of class 'Output Rule Element'.
`Parameter`
`createParameter()`
Returns a new object of class 'Parameter'.
`Pop`
`createPop()`
Returns a new object of class 'Pop'.
`Push`
`createPush()`
Returns a new object of class 'Push'.
`Pushf`
`createPushf()`
Returns a new object of class 'Pushf'.
`Pusht`
`createPusht()`
Returns a new object of class 'Pusht'.
`Remove`
`createRemove()`
Returns a new object of class 'Remove'.
`Return`
`createReturn()`
Returns a new object of class 'Return'.
`Rule`
`createRule()`
Returns a new object of class 'Rule'.
`Set`
`createSet()`
Returns a new object of class 'Set'.
`SetStatic`
`createSetStatic()`
Returns a new object of class 'Set Static'.
`Store`
`createStore()`
Returns a new object of class 'Store'.
`Swap`
`createSwap()`
Returns a new object of class 'Swap'.
`SwapX1`
`createSwapX1()`
Returns a new object of class 'Swap X1'.
`Xor`
`createXor()`
Returns a new object of class 'Xor'.
`EmftvmPackage`
`getEmftvmPackage()`
Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eINSTANCE

static final EmftvmFactory eINSTANCE
The singleton instance of the factory.

## Method Details

### createModule

Module createModule()
Returns a new object of class 'Module'.

Returns:
  a new object of class 'Module'.

### createModelDeclaration

ModelDeclaration createModelDeclaration()
Returns a new object of class 'Model Declaration'.

Returns:
  a new object of class 'Model Declaration'.

### createField

Field createField()
Returns a new object of class 'Field'.

Returns:
  a new object of class 'Field'.

### createOperation

Operation createOperation()
Returns a new object of class 'Operation'.

Returns:
  a new object of class 'Operation'.

### createParameter

Parameter createParameter()
Returns a new object of class 'Parameter'.

Returns:
  a new object of class 'Parameter'.

### createLineNumber

LineNumber createLineNumber()
Returns a new object of class 'Line Number'.

Returns:
  a new object of class 'Line Number'.

### createLocalVariable

LocalVariable createLocalVariable()
Returns a new object of class 'Local Variable'.

Returns:
  a new object of class 'Local Variable'.

### createRule

Rule createRule()
Returns a new object of class 'Rule'.

Returns:
  a new object of class 'Rule'.

### createInputRuleElement

InputRuleElement createInputRuleElement()
Returns a new object of class 'Input Rule Element'.

Returns:
  a new object of class 'Input Rule Element'.

### createOutputRuleElement

OutputRuleElement createOutputRuleElement()
Returns a new object of class 'Output Rule Element'.

Returns:
  a new object of class 'Output Rule Element'.

### createCodeBlock

CodeBlock createCodeBlock()
Returns a new object of class 'Code Block'.

Returns:
  a new object of class 'Code Block'.

### createPush

Push createPush()
Returns a new object of class 'Push'.

Returns:
  a new object of class 'Push'.

### createPusht

Pusht createPusht()
Returns a new object of class 'Pusht'.

Returns:
  a new object of class 'Pusht'.

### createPushf

Pushf createPushf()
Returns a new object of class 'Pushf'.

Returns:
  a new object of class 'Pushf'.

### createPop

Pop createPop()
Returns a new object of class 'Pop'.

Returns:
  a new object of class 'Pop'.

### createLoad

Load createLoad()
Returns a new object of class 'Load'.

Returns:
  a new object of class 'Load'.

### createStore

Store createStore()
Returns a new object of class 'Store'.

Returns:
  a new object of class 'Store'.

### createSet

Set createSet()
Returns a new object of class 'Set'.

Returns:
  a new object of class 'Set'.

### createGet

Get createGet()
Returns a new object of class 'Get'.

Returns:
  a new object of class 'Get'.

### createGetTrans

GetTrans createGetTrans()
Returns a new object of class 'Get Trans'.

Returns:
  a new object of class 'Get Trans'.

### createSetStatic

SetStatic createSetStatic()
Returns a new object of class 'Set Static'.

Returns:
  a new object of class 'Set Static'.

### createGetStatic

GetStatic createGetStatic()
Returns a new object of class 'Get Static'.

Returns:
  a new object of class 'Get Static'.

### createFindtype

Findtype createFindtype()
Returns a new object of class 'Findtype'.

Returns:
  a new object of class 'Findtype'.

### createFindtypeS

FindtypeS createFindtypeS()
Returns a new object of class 'Findtype S'.

Returns:
  a new object of class 'Findtype S'.

### createNew

New createNew()
Returns a new object of class 'New'.

Returns:
  a new object of class 'New'.

### createNewS

NewS createNewS()
Returns a new object of class 'New S'.

Returns:
  a new object of class 'New S'.

### createDelete

Delete createDelete()
Returns a new object of class 'Delete'.

Returns:
  a new object of class 'Delete'.

### createDup

Dup createDup()
Returns a new object of class 'Dup'.

Returns:
  a new object of class 'Dup'.

### createDupX1

DupX1 createDupX1()
Returns a new object of class 'Dup X1'.

Returns:
  a new object of class 'Dup X1'.

### createSwap

Swap createSwap()
Returns a new object of class 'Swap'.

Returns:
  a new object of class 'Swap'.

### createSwapX1

SwapX1 createSwapX1()
Returns a new object of class 'Swap X1'.

Returns:
  a new object of class 'Swap X1'.

### createIf

If createIf()
Returns a new object of class 'If'.

Returns:
  a new object of class 'If'.

### createIfn

Ifn createIfn()
Returns a new object of class 'Ifn'.

Returns:
  a new object of class 'Ifn'.

### createGoto

Goto createGoto()
Returns a new object of class 'Goto'.

Returns:
  a new object of class 'Goto'.

### createIterate

Iterate createIterate()
Returns a new object of class 'Iterate'.

Returns:
  a new object of class 'Iterate'.

### createEnditerate

Enditerate createEnditerate()
Returns a new object of class 'Enditerate'.

Returns:
  a new object of class 'Enditerate'.

### createInvoke

Invoke createInvoke()
Returns a new object of class 'Invoke'.

Returns:
  a new object of class 'Invoke'.

### createInvokeSuper

InvokeSuper createInvokeSuper()
Returns a new object of class 'Invoke Super'.

Returns:
  a new object of class 'Invoke Super'.

### createInvokeStatic

InvokeStatic createInvokeStatic()
Returns a new object of class 'Invoke Static'.

Returns:
  a new object of class 'Invoke Static'.

### createAllinst

Allinst createAllinst()
Returns a new object of class 'Allinst'.

Returns:
  a new object of class 'Allinst'.

### createAllinstIn

AllinstIn createAllinstIn()
Returns a new object of class 'Allinst In'.

Returns:
  a new object of class 'Allinst In'.

### createMatch

Match createMatch()
Returns a new object of class 'Match'.

Returns:
  a new object of class 'Match'.

### createMatchS

MatchS createMatchS()
Returns a new object of class 'Match S'.

Returns:
  a new object of class 'Match S'.

### createAdd

Add createAdd()
Returns a new object of class 'Add'.

Returns:
  a new object of class 'Add'.

### createRemove

Remove createRemove()
Returns a new object of class 'Remove'.

Returns:
  a new object of class 'Remove'.

### createInsert

Insert createInsert()
Returns a new object of class 'Insert'.

Returns:
  a new object of class 'Insert'.

### createGetSuper

GetSuper createGetSuper()
Returns a new object of class 'Get Super'.

Returns:
  a new object of class 'Get Super'.

### createGetenv

Getenv createGetenv()
Returns a new object of class 'Getenv'.

Returns:
  a new object of class 'Getenv'.

### createReturn

Return createReturn()
Returns a new object of class 'Return'.

Returns:
  a new object of class 'Return'.

### createGetcb

Getcb createGetcb()
Returns a new object of class 'Getcb'.

Returns:
  a new object of class 'Getcb'.

### createInvokeAllCbs

InvokeAllCbs createInvokeAllCbs()
Returns a new object of class 'Invoke All Cbs'.

Returns:
  a new object of class 'Invoke All Cbs'.

### createInvokeCb

InvokeCb createInvokeCb()
Returns a new object of class 'Invoke Cb'.

Returns:
  a new object of class 'Invoke Cb'.

### createInvokeCbS

InvokeCbS createInvokeCbS()
Returns a new object of class 'Invoke Cb S'.

Returns:
  a new object of class 'Invoke Cb S'.

### createNot

Not createNot()
Returns a new object of class 'Not'.

Returns:
  a new object of class 'Not'.

### createAnd

And createAnd()
Returns a new object of class 'And'.

Returns:
  a new object of class 'And'.

### createOr

Or createOr()
Returns a new object of class 'Or'.

Returns:
  a new object of class 'Or'.

### createXor

Xor createXor()
Returns a new object of class 'Xor'.

Returns:
  a new object of class 'Xor'.

### createImplies

Implies createImplies()
Returns a new object of class 'Implies'.

Returns:
  a new object of class 'Implies'.

### createIfte

Ifte createIfte()
Returns a new object of class 'Ifte'.

Returns:
  a new object of class 'Ifte'.

### createIsnull

Isnull createIsnull()
Returns a new object of class 'Isnull'.

Returns:
  a new object of class 'Isnull'.

### createGetenvtype

Getenvtype createGetenvtype()
Returns a new object of class 'Getenvtype'.

Returns:
  a new object of class 'Getenvtype'.

### createExecEnv

ExecEnv createExecEnv()
Returns a new object of class 'Exec Env'.

Returns:
  a new object of class 'Exec Env'.

### createModel

Model createModel()
Returns a new object of class 'Model'.

Returns:
  a new object of class 'Model'.

### createMetamodel

Metamodel createMetamodel()
Returns a new object of class 'Metamodel'.

Returns:
  a new object of class 'Metamodel'.

### getEmftvmPackage

EmftvmPackage getEmftvmPackage()
Returns the package supported by this factory.

Returns:
  the package supported by this factory.

### createInstruction

Instruction createInstruction(Opcode opcode)
Creates a new `Instruction` instance for the given

    opcode

.

Parameters:
  `opcode` - the instruction opcode.
Returns:
  a new `Instruction` instance for the given

      opcode

  .

### createModel

Model createModel(org.eclipse.emf.ecore.resource.Resource resource)
Creates a new `Model` for the given `Resource`, and sets the `Resource`.

Parameters:
  `resource` - the `Resource` to wrap
Returns:
  a new `Model`

### createMetamodel

Metamodel createMetamodel(org.eclipse.emf.ecore.resource.Resource resource)
Creates a new `Metamodel` for the given `Resource`, and sets the `Resource`.

Parameters:
  `resource` - the `Resource` to wrap
Returns:
  a new `Metamodel`